All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class BufferedPanel

    com.sas.visuals.BufferedPanel

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, DoubleBufferInterface, MultipleValueEventSourceInterface, VisualAspects, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  Toolbar

    public class BufferedPanel

implements VisualAspects, DoubleBufferInterface, java.io.Serializable

A panel that allows for doubleBuffering of components within it. This panel also supports a variety of border styles.

See Also:
  Serialized Form

Field Summary
`protected BufferedGraphics` | `_graphics` the BufferedGraphics for the Panel
`protected Wallpaper` | `_wallpaper` Creates the default BufferedPanel

Fields inherited from class com.sas.awt.Panel
`RB_KEY`

Fields inherited from interface com.sas.visuals.VisualAspects
`BDR_BUMP, BDR_BUTTON_NORMAL, BDR_BUTTON_PRESSED, BDR_BUTTON_SELECTED, BDR_DIP, BDR_FIELD_BORDER, BDR_FLAT, BDR_FLAT_BORDER, BDR_GROUP_BORDER, BDR_NONE, BDR_RAISED, BDR_RAISED_INNER, BDR_RAISED_OUTER, BDR_STATUSFIELD_BORDER, BDR_SUNKEN, BDR_SUNKEN_INNER, BDR_SUNKEN_OUTER, BDR_WINDOW_BORDER, BS_NONE, BS_NORMAL, BS_PRESSED, BS_ROUND_NORMAL, BS_ROUND_PRESSED, BS_ROUND_SELECTED, BS_ROUNDEDGE_NORMAL, BS_ROUNDEDGE_PRESSED, BS_ROUNDEDGE_SELECTED, BS_SELECTED, CENTER, CONTENTS_CENTER, CONTENTS_LEFT, CONTENTS_RIGHT, DEVELOPMENT, DOUBLE_BUFFERED, DT_CENTER, DT_LEFT, DT_OPAQUE, DT_RIGHT, DT_UNDERLINE, EAST, HORIZONTAL, NORTH, NORTH_EAST, NORTH_WEST, SHOW_IMAGE, SHOW_NONE, SHOW_TEXT, SOUTH, SOUTH_EAST, SOUTH_WEST, TEXT_CENTER, TEXT_EAST, TEXT_LEFT, TEXT_NORTH, TEXT_RIGHT, TEXT_SOUTH, TEXT_WEST, VERTICAL, WEST`

Constructor Summary
`BufferedPanel()`
`BufferedPanel(int borderStyle)` Creates an BufferedPanel with the specified border style
`BufferedPanel(int borderStyle, boolean doubleBuffered)` Creates an Panel with the specified border style, border thickness, border color and whether the Panel is double buffered

Method Summary
`java.awt.Insets` | `getInsets()`
`java.awt.Dimension` | `getMaximumSize()`
`java.awt.Dimension` | `getMinimumSize()` Overrides the java.awt.Component getMinimumSize method to return a minimum size of 5,5 for components which do not have a peer.
`java.awt.Dimension` | `getPreferredSize()`
`Wallpaper` | `getWallpaper()`
`int` | `getWindowBorderStyle()`
`boolean` | `isDoubleBuffered()` Gets the state of double buffering
`void` | `paint(java.awt.Graphics g)` Called to paint the properties of the Panel.
`protected void` | `paintBackground(BufferedGraphics g)`
`protected void` | `paintView(BufferedGraphics g)` Called to paint the properties of the Panel.
`protected void` | `printView(BufferedGraphics g)` Called to print the properties of the Panel.
`void` | `setBackground(java.awt.Color c)`
`void` | `setDefaultValues()` Sets all default values for the panel.
`void` | `setDoubleBuffered(boolean state)` Sets the state of double buffering.
`void` | `setForeground(java.awt.Color c)`
`void` | `setWallpaper(Wallpaper wallpaper)`
`void` | `setWindowBorderStyle(int s)`
`void` | `update(java.awt.Graphics g)` Called to erase the background of the Panel.

Methods inherited from class com.sas.awt.Panel
`getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, remove, remove, removeAll, setDefaultHeight, setDefaultWidth`

Methods inherited from class com.sas.awt.PanelContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.PanelVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getModelInterface, getPageBounds, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, print, printFinalize, printInitialize, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### _graphics

    protected transient BufferedGraphics _graphics

  the BufferedGraphics for the Panel

### _wallpaper

    protected Wallpaper _wallpaper

  Creates the default BufferedPanel.

Constructor Detail

### BufferedPanel

    public BufferedPanel()

### BufferedPanel

    public BufferedPanel(int borderStyle)

  Creates an BufferedPanel with the specified border style.

  Parameters:
    `borderStyle` - the border style of the Panel. Border style constants are found in VisualAspects.

### BufferedPanel

    public BufferedPanel(int borderStyle,
                         boolean doubleBuffered)

  Creates an Panel with the specified border style, border thickness, border color and whether the Panel is double buffered.

  Parameters:
    `borderStyle` - the border style of the Panel. Border style constants are found in VisualAspects.
    `borderThickness` - the border thickness of the Panel
    `borderColor` - the border Color for the Panel
    `doubleBuffered` - specifies whether the Panel is double buffered.

Method Detail

### setWindowBorderStyle

    public void setWindowBorderStyle(int s)

### getWindowBorderStyle

    public int getWindowBorderStyle()

### getInsets

    public java.awt.Insets getInsets()

  Specified by:
    `getInsets` in interface `ContainerInterface`
  Overrides:
    `getInsets` in class `PanelContainerComponent`

### setBackground

    public void setBackground(java.awt.Color c)

  Overrides:
    `setBackground` in class `java.awt.Component`

### setForeground

    public void setForeground(java.awt.Color c)

  Overrides:
    `setForeground` in class `java.awt.Component`

### isDoubleBuffered

    public boolean isDoubleBuffered()

  Gets the state of double buffering.

  Specified by:
    `isDoubleBuffered` in interface `DoubleBufferInterface`
  Overrides:
    `isDoubleBuffered` in class `java.awt.Component`
  Returns:
    boolean containing the state of double buffering for the Panel

### setDoubleBuffered

    public void setDoubleBuffered(boolean state)

  Sets the state of double buffering. Double buffering typically reduces flicker during painting.

  Specified by:
    `setDoubleBuffered` in interface `DoubleBufferInterface`
  Parameters:
    `state` - the state of double buffering

### update

    public void update(java.awt.Graphics g)

  Called to erase the background of the Panel. Panel overrides this function to call public void paint(Graphics g) in order to help reduce flicker during painting.

  Overrides:
    `update` in class `PanelVisualComponent`
  Parameters:
    `g` - the Graphics associated with the Panel
  See Also:
    `VisualInterfaceSupport.update(com.sas.ComponentInterface, com.sas.awt.VisualInterface, java.awt.Component, java.awt.Graphics)`

### setWallpaper

    public void setWallpaper(Wallpaper wallpaper)

### getWallpaper

    public Wallpaper getWallpaper()

### paint

    public void paint(java.awt.Graphics g)

  Called to paint the properties of the Panel. This function is overriden by Panel and components extending this class should overide protected void paintView(BufferedGraphics g) to draw their specific properties.

  Overrides:
    `paint` in class `PanelVisualComponent`
  Parameters:
    `g` - the Graphics associated with the Panel
  See Also:
    `VisualInterfaceSupport.paint(com.sas.ComponentInterface, com.sas.awt.VisualInterface, java.awt.Component, java.awt.Graphics)`

### paintBackground

    protected void paintBackground(BufferedGraphics g)

### paintView

    protected void paintView(BufferedGraphics g)

  Called to paint the properties of the Panel. This function should be overriden by components extending Panel in order to draw their specific properties.

  Parameters:
    `g` - the BufferedGraphics associated with the Panel

### printView

    protected void printView(BufferedGraphics g)

  Called to print the properties of the Panel. This function should be overriden by components extending Panel in order to print their specific properties. THIS HAS NOT BEEN TESTED.

  Parameters:
    `g` - the Graphics associated with the Panel

### setDefaultValues

    public void setDefaultValues()

  Description copied from class: `Panel`
  Sets all default values for the panel.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `Panel`
  See Also:
    `ContainerInterface.setDefaultValues()`

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Specified by:
    `getPreferredSize` in interface `VisualInterface`
  Overrides:
    `getPreferredSize` in class `PanelVisualComponent`
  See Also:
    `VisualInterface.getPreferredSize()`

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Description copied from interface: `VisualInterface`
  Overrides the java.awt.Component getMinimumSize method to return a minimum size of 5,5 for components which do not have a peer. For components which do have a peer, the java.awt.Component getMinimumSize method will be called.

  Specified by:
    `getMinimumSize` in interface `VisualInterface`
  Overrides:
    `getMinimumSize` in class `PanelVisualComponent`
  Returns:
    The minimum size
  See Also:
    `VisualInterface.getMinimumSize()`

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  Overrides:
    `getMaximumSize` in class `java.awt.Container`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.